org.apache.solr.index

## Class UpgradeIndexMergePolicyFactory

- java.lang.Object
- - org.apache.solr.index.MergePolicyFactory
  - - org.apache.solr.index.WrapperMergePolicyFactory
    - - org.apache.solr.index.UpgradeIndexMergePolicyFactory

-     public class UpgradeIndexMergePolicyFactory
      extends WrapperMergePolicyFactory

  A `MergePolicyFactory` for `UpgradeIndexMergePolicy` objects.

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.index.WrapperMergePolicyFactory

      `NO_SUB_PACKAGES`

    - ### Fields inherited from class org.apache.solr.index.MergePolicyFactory

      `args, resourceLoader, schema`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpgradeIndexMergePolicyFactory(SolrResourceLoader resourceLoader, MergePolicyFactoryArgs args, IndexSchema schema)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected MergePolicy` | `getMergePolicyInstance(MergePolicy wrappedMP)` Returns an instance of the wrapping `MergePolicy` without configuring its set parameters.

    - ### Methods inherited from class org.apache.solr.index.WrapperMergePolicyFactory

      `getDefaultWrappedMergePolicy, getMergePolicy, getWrappedMergePolicy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpgradeIndexMergePolicyFactory

          public UpgradeIndexMergePolicyFactory(SolrResourceLoader resourceLoader,
                                                MergePolicyFactoryArgs args,
                                                IndexSchema schema)

  - ### Method Detail

    - #### getMergePolicyInstance

          protected MergePolicy getMergePolicyInstance(MergePolicy wrappedMP)

      Description copied from class: `WrapperMergePolicyFactory`
      Returns an instance of the wrapping `MergePolicy` without configuring its set parameters.
      Specified by:
        `getMergePolicyInstance` in class `WrapperMergePolicyFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.